Generic Image Library: PixelIteratorConcept< Iterator > Struct Template Reference

###  | #  |

Public Member Functions | Public Attributes | List of all members
PixelIteratorConcept< Iterator > Struct Template Reference
Pixel Iterator » Concepts » PixelIteratorConcept

An STL random access traversal iterator over a model of PixelConcept. More...

`#include <pixel_iterator.hpp>`

## Public Member Functions
void | constraints ()
void | check_base (std::false_type)
void | check_base (std::true_type)

## Public Attributes
Iterator | it

## Detailed Description

template<typename Iterator>
struct boost::gil::PixelIteratorConcept< Iterator >

An STL random access traversal iterator over a model of PixelConcept.

GIL's iterators must also provide the following metafunctions:

- `const_iterator_type<Iterator>`: Returns a read-only equivalent of `Iterator`
- `iterator_is_mutable<Iterator>`: Returns whether the given iterator is read-only or mutable
- `is_iterator_adaptor<Iterator>`: Returns whether the given iterator is an adaptor over another iterator. See IteratorAdaptorConcept for additional requirements of adaptors.

concept PixelIteratorConcept<typename Iterator>
: boost_concepts::RandomAccessTraversalConcept<Iterator>, PixelBasedConcept<Iterator>
{
where PixelValueConcept<value_type>;
typename const_iterator_type<It>::type;
where PixelIteratorConcept<const_iterator_type<It>::type>;
static const bool iterator_is_mutable<It>::value;
static const bool is_iterator_adaptor<It>::value; // is it an iterator adaptor
};
boost::gil::PixelBasedConcept
Concept for all pixel-based GIL constructs.
Definition pixel_based.hpp:54
boost::gil::PixelIteratorConcept
An STL random access traversal iterator over a model of PixelConcept.
Definition concepts/pixel_iterator.hpp:171
boost::gil::PixelValueConcept
Pixel concept that is a Regular type.
Definition concepts/pixel.hpp:171
boost::gil::const_iterator_type
Returns the type of an iterator just like the input iterator, except operating over immutable values.
Definition concepts/pixel_iterator.hpp:38
boost::gil::is_iterator_adaptor
metafunction predicate determining whether the given iterator is a plain one or an adaptor over anoth...
Definition concepts/pixel_iterator.hpp:40
boost::gil::iterator_is_mutable
Metafunction predicate returning whether the given iterator allows for changing its values.
Definition concepts/pixel_iterator.hpp:39

The documentation for this struct was generated from the following file:

- concepts/pixel_iterator.hpp